Subject: Re: bug#20891: emacs: Back off if .doc is not an Office document

From: Robert Pluim <[email-masked]>
Date: Thu, 14 Nov 2019 16:06:36 +0100

>>>>> On Thu, 14 Nov 2019 16:12:22 +0200, Eli Zaretskii <[email-masked]> said:

    Eli> How would the magic signature recognition help with plain-text files?
    Eli> They don't have any such signatures?  I'm still missing something,
    Eli> sorry.

Today we go: ".doc extension -> show an image of the contents of the
file" which is manifestly the wrong thing to do for a non-doc file. If
we do the signature recognition, those files which are not recognized
end up in (probably) fundamental-mode

Robert